package com.officetetsu.imageviewer;

import java.io.File;
import java.util.ArrayList;

import android.app.ListFragment;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.os.Bundle;
import android.os.Environment;
import android.view.View;
import android.widget.ArrayAdapter;
import android.widget.ImageView;
import android.widget.ListView;

public class PictureSelector extends ListFragment {

	private ImageView imageView;
	private String[] pictures;
	private String picturesroot;
	
	@Override
	public void onActivityCreated(Bundle savedInstanceState) {
		super.onActivityCreated(savedInstanceState);

		String sdroot = Environment.getExternalStorageDirectory().toString();
		picturesroot = sdroot + "/Pictures";
		pictures = new File(picturesroot).list();
		
		ArrayList<String> tmp = new ArrayList<String>();
		for(String s: pictures){
			if(s.endsWith("JPG") || s.endsWith("jpg"))
				tmp.add(s);
		}
		tmp.toArray(pictures);
		
		if(pictures.length < 1){
			String message = getText(R.string.error_file).toString();
			MyDialogFragment myDialogFragment = 
				MyDialogFragment.newInstance(message); 
			myDialogFragment.show(getFragmentManager(), "dialog"); 
			return;
		}

		ArrayAdapter<String> adapter =
			new ArrayAdapter<String>(
				getActivity(),
				android.R.layout.simple_list_item_activated_1,
				pictures
			);

		setListAdapter(adapter);
		
		imageView = (ImageView) getActivity().findViewById(R.id.imageView1); 

	}

	@Override 
	public void onListItemClick(ListView l, View v, int position, long id) { 
		String picturefile = picturesroot + "/" + pictures[position];
		Bitmap picture = BitmapFactory.decodeFile(picturefile);
		imageView.setImageBitmap(picture);
	}

}
